Upgraded to MySQL 5.5 - Questions

Discussion in 'ISPConfig 3 Priority Support' started by dnieweg, Dec 23, 2015.

  1. dnieweg

    dnieweg New Member

    Needed to upgrade to mysql 5.5 (from default 5.1) for customers Wordpress requirements.
    Reviewed a wide variety of conflicting and incomplete upgrade advice across the web.
    In the end, got a little frustrated and tried what looked like a fairly simple procedure, full well knowing that the instructions were related to a Plesk CP implementation. Thought I might be able to change a few things to deal with my installation using ISPConfig 3. Followed this procedure here: https://fabriceleven.com/dev/how-to-upgrade-mysql-on-centos/ which is related to this procedure here: http://blog.dragonsoft.us/2014/07/08/how-to-upgrade-mysql-on-centos/
    I have attached the entire process so you can see firsthand how much I may have err'ed!
    My questions
    Since everything still seems to be working and running correctly, I assume the actual upgrade did not take place yet? If I were to successfully force the upgrade as it sits now, I am thinking I will break quite a bit of stuff?
    b) Would the proper course of action to be to somehow back out of this (i.e. using the atomic repo) and instead be using the remi repo?
    c) Any thoughts on what I have done here?
    Thank you!

    Attached Files:

    Last edited: Dec 23, 2015
  2. sjau

    sjau Local Meanie Moderator

    Well, what is returned when you run:

    mysql --version
  3. dnieweg

    dnieweg New Member

    [webserver1 ~]# mysql --version
    mysql  Ver 14.14 Distrib 5.5.47, for Linux (x86_64) using readline 5.1  
  4. dnieweg

    dnieweg New Member

    BTW, the basic steps were this:
    # wget -q -O - http://www.atomicorp.com/installers/atomic | sh
    # yum upgrade mysql
    # mysql_upgrade -uadmin -pxxx`< /etc/psa/.psa.shadow ` -f
    -bash: /etc/psa/.psa.shadow: No such file or directory
    Looking for 'mysql' as: mysql
    Looking for 'mysqlcheck' as: mysqlcheck
    Error: Failed while fetching Server version! Could be due to unauthorized
    FATAL ERROR: Upgrade failed
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    Seems as if you tried to use a plesk update script on your ispconfig server. Try to find a mysql .rpm file for your centos version that has the desired mysql version and install that rpm.
  6. dnieweg

    dnieweg New Member

    Thanks Till.

Share This Page